summaryrefslogtreecommitdiffstats
path: root/libraries/lablgtk
diff options
context:
space:
mode:
author Ferenc Deak <ferenc.deak@gmail.com>2010-05-11 19:45:05 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:45:05 +0200
commit92e9ad7f4cea8cbd2b5600d632b96cd74ea35e60 (patch)
treef41e1e09e8669b0d312395d813082d43ae1e6892 /libraries/lablgtk
parent6a5f5f5801a9ca5b7ab55769269c31175507dc38 (diff)
downloadslackbuilds-92e9ad7f4cea8cbd2b5600d632b96cd74ea35e60.tar.gz
slackbuilds-92e9ad7f4cea8cbd2b5600d632b96cd74ea35e60.tar.xz
libraries/lablgtk: Updated for version 2.10.1
Diffstat (limited to 'libraries/lablgtk')
-rw-r--r--libraries/lablgtk/lablgtk.SlackBuild33
-rw-r--r--libraries/lablgtk/lablgtk.info10
-rw-r--r--libraries/lablgtk/slack-desc8
3 files changed, 38 insertions, 13 deletions
diff --git a/libraries/lablgtk/lablgtk.SlackBuild b/libraries/lablgtk/lablgtk.SlackBuild
index 00461eccba..5d8d664941 100644
--- a/libraries/lablgtk/lablgtk.SlackBuild
+++ b/libraries/lablgtk/lablgtk.SlackBuild
@@ -1,15 +1,33 @@
#!/bin/sh
# Slackware build script for lablgtk
-# Written by fdeak <ferenc.deak@gmail.com>
-set -e
+# Copyright 2007-2008 Ferenc Deak <ferenc.deak@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=lablgtk
-VERSION=2.6.0
+VERSION=2.10.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -21,6 +39,8 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -37,13 +57,12 @@ make world
make DESTDIR=$PKG install
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a CHANGES CHANGES.API COPYING README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES CHANGES.API COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -51,5 +70,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
-
diff --git a/libraries/lablgtk/lablgtk.info b/libraries/lablgtk/lablgtk.info
index da935acfbb..afcf860128 100644
--- a/libraries/lablgtk/lablgtk.info
+++ b/libraries/lablgtk/lablgtk.info
@@ -1,8 +1,8 @@
PRGNAM="lablgtk"
-VERSION="2.6.0"
+VERSION="2.10.1"
HOMEPAGE="http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html"
-DOWNLOAD="http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/dist/lablgtk-2.6.0.tar.gz"
-MD5SUM="47319aacbbb761323bdfab67513829df"
-MAINTAINER="fdeak"
+DOWNLOAD="http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/dist/lablgtk-2.10.1.tar.gz"
+MD5SUM="bd7073ca05e684e5d5a3d553371fd6e5"
+MAINTAINER="Ferenc Deak"
EMAIL="ferenc.deak@gmail.com"
-APPROVED="BP{k}" \ No newline at end of file
+APPROVED="David Somero"
diff --git a/libraries/lablgtk/slack-desc b/libraries/lablgtk/slack-desc
index e35f79c958..ba56bb1c47 100644
--- a/libraries/lablgtk/slack-desc
+++ b/libraries/lablgtk/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
lablgtk: LablGTK (an Objective Caml interface to gtk+/gtk+-2)
lablgtk:
lablgtk: LablGTK uses the rich type system of Objective Caml 3 to provide a